#!/bin/sh
ACTFW=`/root/gfa_spi -v | awk '{split($0,a," "); print a[8]}'`
MINFW="0x00000113"
FWFILE="/root/btm43_0113.bin"

echo "actual Firmware : $ACTFW"

if [ "$ACTFW" \< "$MINFW" ]; then
echo "Do Update"
/root/spi_tivia $FWFILE
else
echo "FW ok"
fi
